Package org.firebirdsql.encodings

## Class DefaultEncodingSet

- java.lang.Object
- - org.firebirdsql.encodings.DefaultEncodingSet

All Implemented Interfaces:
  `EncodingSet`

    public class DefaultEncodingSet
    extends java.lang.Object
    implements EncodingSet

The default encoding set for Jaybird.

This `EncodingSet` loads the definitions from the file `default-firebird-encodings.xml` in `org.firebirdsql.encodings`

This class can be subclassed to load other definitions

Since:
  3.0
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
`DefaultEncodingSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<EncodingDefinition>` `getEncodings()`
`int` `getPreferenceWeight()` Preference weight defines the loading order.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultEncodingSet

    public DefaultEncodingSet()

### Method Detail

#### getPreferenceWeight

    public int getPreferenceWeight()

Description copied from interface: `EncodingSet`
Preference weight defines the loading order.

An `EncodingSet` with a higher number is processed before a lower number. The default preference weight used by `DefaultEncodingSet` in Jaybird is 0. This means that if you want to override any default definition, you need a higher number, if you just want to specify additional mappings, you need to specify a lower number.

Specified by:
  `getPreferenceWeight` in interface `EncodingSet`
Returns:
  Preference weight

#### getEncodings

    public final java.util.List<EncodingDefinition> getEncodings()

Specified by:
  `getEncodings` in interface `EncodingSet`
Returns:
  List of `EncodingDefinition` implementations.